Skip to main content
`Ctrl`+`K`

# DMPlexComputeGeometryFVM

Computes the cell and face geometry for a finite volume method

## Synopsis

    #include "petscdmplex.h"
    #include "petscfe.h"
    PetscErrorCode DMPlexComputeGeometryFVM(DM dm, Vec *cellgeom, Vec *facegeom)

## Input Parameter

- dm - The `DMPLEX`

## Output Parameters

- cellgeom - A `Vec` of `PetscFVCellGeom` data

- facegeom - A `Vec` of `PetscFVFaceGeom` data

## See Also

`DMPLEX`, `PetscFVFaceGeom`, `PetscFVCellGeom`

## Level

developer

## Location

src/dm/impls/plex/plexgeometry.c

## Examples

src/dm/tutorials/ex21.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages